CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | Class Methods | List of all members
CGTKWindow Class Reference
Inheritance diagram for CGTKWindow:
[legend]
Collaboration diagram for CGTKWindow:
[legend]

## Instance Methods
(id) | - init:
(GtkWindow *) | - WINDOW
(BOOL) | - activateDefault
(BOOL) | - activateFocus
(BOOL) | - activateKey:
(void) | - addAccelGroup:
(void) | - addMnemonicWithKeyval:andTarget:
(void) | - beginMoveDragWithButton:andRootX:andRootY:andTimestamp:
(void) | - beginResizeDragWithEdge:andButton:andRootX:andRootY:andTimestamp:
(void) | - close
(void) | - deiconify
(void) | - fullscreen
(void) | - fullscreenOnMonitorWithScreen:andMonitor:
(BOOL) | - getAcceptFocus
(GtkApplication *) | - getApplication
(CGTKWidget *) | - getAttachedTo
(BOOL) | - getDecorated
(void) | - getDefaultSizeWithWidth:andHeight:
(CGTKWidget *) | - getDefaultWidget
(BOOL) | - getDeletable
(BOOL) | - getDestroyWithParent
(CGTKWidget *) | - getFocus
(BOOL) | - getFocusOnMap
(BOOL) | - getFocusVisible
(GdkGravity) | - getGravity
(GtkWindowGroup *) | - getGroup
(BOOL) | - getHasResizeGrip
(BOOL) | - getHideTitlebarWhenMaximized
(GdkPixbuf *) | - getIcon
(GList *) | - getIconList
(NSString *) | - getIconName
(GdkModifierType) | - getMnemonicModifier
(BOOL) | - getMnemonicsVisible
(BOOL) | - getModal
(gdouble) | - getOpacity
(void) | - getPositionWithRootX:andRootY:
(BOOL) | - getResizable
(BOOL) | - getResizeGripArea:
(NSString *) | - getRole
(GdkScreen *) | - getScreen
(void) | - getSizeWithWidth:andHeight:
(BOOL) | - getSkipPagerHint
(BOOL) | - getSkipTaskbarHint
(NSString *) | - getTitle
(CGTKWidget *) | - getTitlebar
(GtkWindow *) | - getTransientFor
(GdkWindowTypeHint) | - getTypeHint
(BOOL) | - getUrgencyHint
(GtkWindowType) | - getWindowType
(BOOL) | - hasGroup
(BOOL) | - hasToplevelFocus
(void) | - iconify
(BOOL) | - isActive
(BOOL) | - isMaximized
(void) | - maximize
(BOOL) | - mnemonicActivateWithKeyval:andModifier:
(void) | - moveWithX:andY:
(BOOL) | - parseGeometry:
(void) | - present
(void) | - presentWithTime:
(BOOL) | - propagateKeyEvent:
(void) | - removeAccelGroup:
(void) | - removeMnemonicWithKeyval:andTarget:
(void) | - reshowWithInitialSize
(void) | - resizeWithWidth:andHeight:
(BOOL) | - resizeGripIsVisible
(void) | - resizeToGeometryWithWidth:andHeight:
(void) | - setAcceptFocus:
(void) | - setApplication:
(void) | - setAttachedTo:
(void) | - setDecorated:
(void) | - setDefault:
(void) | - setDefaultGeometryWithWidth:andHeight:
(void) | - setDefaultSizeWithWidth:andHeight:
(void) | - setDeletable:
(void) | - setDestroyWithParent:
(void) | - setFocus:
(void) | - setFocusOnMap:
(void) | - setFocusVisible:
(void) | - setGeometryHintsWithGeometryWidget:andGeometry:andGeomMask:
(void) | - setGravity:
(void) | - setHasResizeGrip:
(void) | - setHasUserRefCount:
(void) | - setHideTitlebarWhenMaximized:
(void) | - setIcon:
(BOOL) | - setIconFromFileWithFilename:andErr:
(void) | - setIconList:
(void) | - setIconName:
(void) | - setKeepAbove:
(void) | - setKeepBelow:
(void) | - setMnemonicModifier:
(void) | - setMnemonicsVisible:
(void) | - setModal:
(void) | - setOpacity:
(void) | - setPosition:
(void) | - setResizable:
(void) | - setRole:
(void) | - setScreen:
(void) | - setSkipPagerHint:
(void) | - setSkipTaskbarHint:
(void) | - setStartupId:
(void) | - setTitle:
(void) | - setTitlebar:
(void) | - setTransientFor:
(void) | - setTypeHint:
(void) | - setUrgencyHint:
(void) | - setWmclassWithWmclassName:andWmclassClass:
(void) | - stick
(void) | - unfullscreen
(void) | - unmaximize
(void) | - unstick
Instance Methods inherited from CGTKBin
(GtkBin *) | - BIN
(CGTKWidget *) | - getChild
Instance Methods inherited from CGTKContainer
(GtkContainer *) | - CONTAINER
(void) | - addWidget:withProperties:
(void) | - add:
(void) | - checkResize
(void) | - childGetPropertyWithChild:andPropertyName:andValue:
(void) | - childGetValistWithChild:andFirstPropertyName:andVarArgs:
(void) | - childNotifyWithChild:andChildProperty:
(void) | - childNotifyByPspecWithChild:andPspec:
(void) | - childSetPropertyWithChild:andPropertyName:andValue:
(void) | - childSetValistWithChild:andFirstPropertyName:andVarArgs:
(GType) | - childType
(void) | - forallWithCallback:andCallbackData:
(void) | - foreachWithCallback:andCallbackData:
(guint) | - getBorderWidth
(GList *) | - getChildren
(BOOL) | - getFocusChain:
(CGTKWidget *) | - getFocusChild
(GtkAdjustment *) | - getFocusHadjustment
(GtkAdjustment *) | - getFocusVadjustment
(GtkWidgetPath *) | - getPathForChild:
(GtkResizeMode) | - getResizeMode
(void) | - propagateDrawWithChild:andCr:
(void) | - remove:
(void) | - resizeChildren
(void) | - setBorderWidth:
(void) | - setFocusChain:
(void) | - setFocusChild:
(void) | - setFocusHadjustment:
(void) | - setFocusVadjustment:
(void) | - setReallocateRedraws:
(void) | - setResizeMode:
(void) | - unsetFocusChain
Instance Methods inherited from CGTKWidget
(GtkWidget *) | - WIDGET
(BOOL) | - activate
(void) | - addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:
(void) | - addDeviceEventsWithDevice:andEvents:
(void) | - addEvents:
(void) | - addMnemonicLabel:
(guint) | - addTickCallbackWithCallback:andUserData:andNotify:
(BOOL) | - canActivateAccel:
(BOOL) | - childFocus:
(void) | - childNotify:
(void) | - classPathWithPathLength:andPath:andPathReversed:
(BOOL) | - computeExpand:
(PangoContext *) | - createPangoContext
(PangoLayout *) | - createPangoLayout:
(void) | - destroy
(void) | - destroyed:
(BOOL) | - deviceIsShadowed:
(GdkDragContext *) | - gtkDragBeginWithTargets:andActions:andButton:andEvent:
(GdkDragContext *) | - gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:
(BOOL) | - gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:
(void) | - gtkDragDestAddImageTargets
(void) | - gtkDragDestAddTextTargets
(void) | - gtkDragDestAddUriTargets
(GdkAtom) | - gtkDragDestFindTargetWithContext:andTargetList:
(GtkTargetList *) | - gtkDragDestGetTargetList
(BOOL) | - gtkDragDestGetTrackMotion
(void) | - gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:
(void) | - gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:
(void) | - gtkDragDestSetTargetList:
(void) | - gtkDragDestSetTrackMotion:
(void) | - gtkDragDestUnset
(void) | - gtkDragGetDataWithContext:andTarget:andTime:
(void) | - gtkDragHighlight
(void) | - gtkDragSourceAddImageTargets
(void) | - gtkDragSourceAddTextTargets
(void) | - gtkDragSourceAddUriTargets
(GtkTargetList *) | - gtkDragSourceGetTargetList
(void) | - gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - gtkDragSourceSetIconGicon:
(void) | - gtkDragSourceSetIconName:
(void) | - gtkDragSourceSetIconPixbuf:
(void) | - gtkDragSourceSetIconStock:
(void) | - gtkDragSourceSetTargetList:
(void) | - gtkDragSourceUnset
(void) | - gtkDragUnhighlight
(void) | - draw:
(void) | - ensureStyle
(void) | - errorBell
(BOOL) | - event:
(void) | - freezeChildNotify
(AtkObject *) | - getAccessible
(GActionGroup *) | - getActionGroup:
(int) | - getAllocatedBaseline
(int) | - getAllocatedHeight
(void) | - getAllocatedSizeWithAllocation:andBaseline:
(int) | - getAllocatedWidth
(void) | - getAllocation:
(CGTKWidget *) | - getAncestor:
(BOOL) | - getAppPaintable
(BOOL) | - getCanDefault
(BOOL) | - getCanFocus
(void) | - getChildRequisition:
(BOOL) | - getChildVisible
(void) | - getClip:
(GtkClipboard *) | - getClipboard:
(NSString *) | - getCompositeName
(BOOL) | - getDeviceEnabled:
(GdkEventMask) | - getDeviceEvents:
(GtkTextDirection) | - getDirection
(GdkDisplay *) | - getDisplay
(BOOL) | - getDoubleBuffered
(gint) | - getEvents
(BOOL) | - getFocusOnClick
(PangoFontMap *) | - getFontMap
(const cairo_font_options_t *) | - getFontOptions
(GdkFrameClock *) | - getFrameClock
(GtkAlign) | - getHalign
(BOOL) | - getHasTooltip
(BOOL) | - getHasWindow
(BOOL) | - getHexpand
(BOOL) | - getHexpandSet
(BOOL) | - getMapped
(gint) | - getMarginBottom
(gint) | - getMarginEnd
(gint) | - getMarginLeft
(gint) | - getMarginRight
(gint) | - getMarginStart
(gint) | - getMarginTop
(GdkModifierType) | - getModifierMask:
(GtkRcStyle *) | - getModifierStyle
(NSString *) | - getName
(BOOL) | - getNoShowAll
(PangoContext *) | - getPangoContext
(CGTKWidget *) | - getParent
(GdkWindow *) | - getParentWindow
(GtkWidgetPath *) | - getPath
(void) | - getPointerWithX:andY:
(void) | - getPreferredHeightWithMinimumHeight:andNaturalHeight:
(void) | - getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:
(void) | - getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:
(void) | - getPreferredSizeWithMinimumSize:andNaturalSize:
(void) | - getPreferredWidthWithMinimumWidth:andNaturalWidth:
(void) | - getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:
(BOOL) | - getRealized
(BOOL) | - getReceivesDefault
(GtkSizeRequestMode) | - getRequestMode
(void) | - getRequisition:
(GdkWindow *) | - getRootWindow
(gint) | - getScaleFactor
(BOOL) | - getSensitive
(GtkSettings *) | - getSettings
(void) | - getSizeRequestWithWidth:andHeight:
(GtkStateType) | - getState
(GtkStateFlags) | - getStateFlags
(GtkStyle *) | - getStyle
(GtkStyleContext *) | - getStyleContext
(BOOL) | - getSupportMultidevice
(GObject *) | - getTemplateChildWithWidgetType:andName:
(NSString *) | - getTooltipMarkup
(NSString *) | - getTooltipText
(GtkWindow *) | - getTooltipWindow
(CGTKWidget *) | - getToplevel
(GtkAlign) | - getValign
(GtkAlign) | - getValignWithBaseline
(BOOL) | - getVexpand
(BOOL) | - getVexpandSet
(BOOL) | - getVisible
(GdkVisual *) | - getVisual
(GdkWindow *) | - getWindow
(void) | - gtkGrabAdd
(void) | - grabDefault
(void) | - grabFocus
(void) | - gtkGrabRemove
(BOOL) | - hasDefault
(BOOL) | - hasFocus
(BOOL) | - hasGrab
(BOOL) | - hasRcStyle
(BOOL) | - hasScreen
(BOOL) | - hasVisibleFocus
(void) | - hide
(BOOL) | - hideOnDelete
(BOOL) | - inDestruction
(void) | - initTemplate
(void) | - inputShapeCombineRegion:
(void) | - insertActionGroupWithName:andGroup:
(BOOL) | - intersectWithArea:andIntersection:
(BOOL) | - isAncestor:
(BOOL) | - isComposited
(BOOL) | - isDrawable
(BOOL) | - isFocus
(BOOL) | - isSensitive
(BOOL) | - isToplevel
(BOOL) | - isVisible
(BOOL) | - keynavFailed:
(GList *) | - listAccelClosures
(const gchar **) | - listActionPrefixes
(GList *) | - listMnemonicLabels
(void) | - map
(BOOL) | - mnemonicActivate:
(void) | - modifyBaseWithState:andColor:
(void) | - modifyBgWithState:andColor:
(void) | - modifyCursorWithPrimary:andSecondary:
(void) | - modifyFgWithState:andColor:
(void) | - modifyFont:
(void) | - modifyStyle:
(void) | - modifyTextWithState:andColor:
(void) | - overrideBackgroundColorWithState:andColor:
(void) | - overrideColorWithState:andColor:
(void) | - overrideCursorWithCursor:andSecondaryCursor:
(void) | - overrideFont:
(void) | - overrideSymbolicColorWithName:andColor:
(void) | - pathWithPathLength:andPath:andPathReversed:
(void) | - queueAllocate
(void) | - queueComputeExpand
(void) | - queueDraw
(void) | - queueDrawAreaWithX:andY:andWidth:andHeight:
(void) | - queueDrawRegion:
(void) | - queueResize
(void) | - queueResizeNoRedraw
(void) | - realize
(cairo_region_t *) | - regionIntersect:
(void) | - registerWindow:
(BOOL) | - removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:
(void) | - removeMnemonicLabel:
(void) | - removeTickCallback:
(GdkPixbuf *) | - renderIconWithStockId:andSize:andDetail:
(GdkPixbuf *) | - renderIconPixbufWithStockId:andSize:
(void) | - reparent:
(void) | - resetRcStyles
(void) | - resetStyle
(gint) | - sendExpose:
(BOOL) | - sendFocusChange:
(void) | - setAccelPathWithAccelPath:andAccelGroup:
(void) | - setAllocation:
(void) | - setAppPaintable:
(void) | - setCanDefault:
(void) | - setCanFocus:
(void) | - setChildVisible:
(void) | - setClip:
(void) | - setCompositeName:
(void) | - setDeviceEnabledWithDevice:andEnabled:
(void) | - setDeviceEventsWithDevice:andEvents:
(void) | - setDirection:
(void) | - setDoubleBuffered:
(void) | - setEvents:
(void) | - setFocusOnClick:
(void) | - setFontMap:
(void) | - setFontOptions:
(void) | - setHalign:
(void) | - setHasTooltip:
(void) | - setHasWindow:
(void) | - setHexpand:
(void) | - setHexpandSet:
(void) | - setMapped:
(void) | - setMarginBottom:
(void) | - setMarginEnd:
(void) | - setMarginLeft:
(void) | - setMarginRight:
(void) | - setMarginStart:
(void) | - setMarginTop:
(void) | - setName:
(void) | - setNoShowAll:
(void) | - setOpacity:
(void) | - setParent:
(void) | - setParentWindow:
(void) | - setRealized:
(void) | - setReceivesDefault:
(void) | - setRedrawOnAllocate:
(void) | - setSensitive:
(void) | - setSizeRequestWithWidth:andHeight:
(void) | - setState:
(void) | - setStateFlagsWithFlags:andClear:
(void) | - setStyle:
(void) | - setSupportMultidevice:
(void) | - setTooltipMarkup:
(void) | - setTooltipText:
(void) | - setTooltipWindow:
(void) | - setValign:
(void) | - setVexpand:
(void) | - setVexpandSet:
(void) | - setVisible:
(void) | - setVisual:
(void) | - setWindow:
(void) | - shapeCombineRegion:
(void) | - show
(void) | - showAll
(void) | - showNow
(void) | - sizeAllocate:
(void) | - sizeAllocateWithBaselineWithAllocation:andBaseline:
(void) | - sizeRequest:
(void) | - styleAttach
(void) | - styleGetPropertyWithPropertyName:andValue:
(void) | - styleGetValistWithFirstPropertyName:andVarArgs:
(void) | - thawChildNotify
(BOOL) | - translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:
(void) | - triggerTooltipQuery
(void) | - unmap
(void) | - unparent
(void) | - unrealize
(void) | - unregisterWindow:
(void) | - unsetStateFlags:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(void) | - setGObject:
(GObject *) | - GOBJECT

## Class Methods
(GList *) | + getDefaultIconList
(NSString *) | + getDefaultIconName
(GList *) | + listToplevels
(void) | + setAutoStartupNotification:
(void) | + setDefaultIcon:
(BOOL) | + setDefaultIconFromFileWithFilename:andErr:
(void) | + setDefaultIconList:
(void) | + setDefaultIconName:
(void) | + setInteractiveDebugging:
Class Methods inherited from CGTKWidget
(GtkTextDirection) | + getDefaultDirection
(GtkStyle *) | + getDefaultStyle
(void) | + popCompositeChild
(void) | + pushCompositeChild
(void) | + setDefaultDirection:
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:

## Additional Inherited Members
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKWindow.h.

## Method Documentation

## ◆ activateDefault()

- (BOOL) activateDefault |  |  |

-(BOOL*)activateDefault;

Returns
  BOOL

Definition at line 98 of file CGTKWindow.m.

## ◆ activateFocus()

- (BOOL) activateFocus |  |  |

-(BOOL*)activateFocus;

Returns
  BOOL

Definition at line 103 of file CGTKWindow.m.

## ◆ activateKey:()

- (BOOL) activateKey: |  | (GdkEventKey*) | event |

-(BOOL*)activateKey: event;

Parameters

  event |

Returns
  BOOL

Definition at line 108 of file CGTKWindow.m.

## ◆ addAccelGroup:()

- (void) addAccelGroup: |  | (GtkAccelGroup*) | accelGroup |

-(void*)addAccelGroup: accelGroup;

Parameters

  accelGroup |

Definition at line 113 of file CGTKWindow.m.

## ◆ addMnemonicWithKeyval:andTarget:()

- (void) addMnemonicWithKeyval: |  | (guint) | keyval
andTarget: |  | (CGTKWidget*) | target

-(void*)addMnemonicWithKeyval:(guint) keyval andTarget:(CGTKWidget*) target;

Parameters

  keyval |
  target |

Definition at line 118 of file CGTKWindow.m.

## ◆ beginMoveDragWithButton:andRootX:andRootY:andTimestamp:()

- (void) beginMoveDragWithButton: |  | (gint) | button
andRootX: |  | (gint) | rootX
andRootY: |  | (gint) | rootY
andTimestamp: |  | (guint32) | timestamp

-(void*)beginMoveDragWithButton:(gint) button andRootX:(gint) rootX andRootY:(gint) rootY andTimestamp:(guint32) timestamp;

Parameters

  button |
  rootX |
  rootY |
  timestamp |

Definition at line 123 of file CGTKWindow.m.

## ◆ beginResizeDragWithEdge:andButton:andRootX:andRootY:andTimestamp:()

- (void) beginResizeDragWithEdge: |  | (GdkWindowEdge) | edge
andButton: |  | (gint) | button
andRootX: |  | (gint) | rootX
andRootY: |  | (gint) | rootY
andTimestamp: |  | (guint32) | timestamp

-(void*)beginResizeDragWithEdge:(GdkWindowEdge) edge andButton:(gint) button andRootX:(gint) rootX andRootY:(gint) rootY andTimestamp:(guint32) timestamp;

Parameters

  edge |
  button |
  rootX |
  rootY |
  timestamp |

Definition at line 128 of file CGTKWindow.m.

## ◆ close()

- (void) close |  |  |

-(void*)close;

Definition at line 133 of file CGTKWindow.m.

## ◆ deiconify()

- (void) deiconify |  |  |

-(void*)deiconify;

Definition at line 138 of file CGTKWindow.m.

## ◆ fullscreen()

- (void) fullscreen |  |  |

-(void*)fullscreen;

Definition at line 143 of file CGTKWindow.m.

## ◆ fullscreenOnMonitorWithScreen:andMonitor:()

- (void) fullscreenOnMonitorWithScreen: |  | (GdkScreen*) | screen
andMonitor: |  | (gint) | monitor

-(void*)fullscreenOnMonitorWithScreen:(GdkScreen*) screen andMonitor:(gint) monitor;

Parameters

  screen |
  monitor |

Definition at line 148 of file CGTKWindow.m.

## ◆ getAcceptFocus()

- (BOOL) getAcceptFocus |  |  |

-(BOOL*)getAcceptFocus;

Returns
  BOOL

Definition at line 153 of file CGTKWindow.m.

## ◆ getApplication()

- (GtkApplication *) getApplication |  |  |

-(GtkApplication**)getApplication;

Returns
  GtkApplication*

Definition at line 158 of file CGTKWindow.m.

## ◆ getAttachedTo()

- (CGTKWidget *) getAttachedTo |  |  |

-(CGTKWidget**)getAttachedTo;

Returns
  CGTKWidget*

Definition at line 163 of file CGTKWindow.m.

## ◆ getDecorated()

- (BOOL) getDecorated |  |  |

-(BOOL*)getDecorated;

Returns
  BOOL

Definition at line 168 of file CGTKWindow.m.

## ◆ getDefaultIconList()

+ (GList *) getDefaultIconList |  |  |

Functions

Definition at line 36 of file CGTKWindow.m.

## ◆ getDefaultSizeWithWidth:andHeight:()

- (void) getDefaultSizeWithWidth: |  | (gint*) | width
andHeight: |  | (gint*) | height

-(void*)getDefaultSizeWithWidth:(gint*) width andHeight:(gint*) height;

Parameters

  width |
  height |

Definition at line 173 of file CGTKWindow.m.

## ◆ getDefaultWidget()

- (CGTKWidget *) getDefaultWidget |  |  |

-(CGTKWidget**)getDefaultWidget;

Returns
  CGTKWidget*

Definition at line 178 of file CGTKWindow.m.

## ◆ getDeletable()

- (BOOL) getDeletable |  |  |

-(BOOL*)getDeletable;

Returns
  BOOL

Definition at line 183 of file CGTKWindow.m.

## ◆ getDestroyWithParent()

- (BOOL) getDestroyWithParent |  |  |

-(BOOL*)getDestroyWithParent;

Returns
  BOOL

Definition at line 188 of file CGTKWindow.m.

## ◆ getFocus()

- (CGTKWidget *) getFocus |  |  |

-(CGTKWidget**)getFocus;

Returns
  CGTKWidget*

Definition at line 193 of file CGTKWindow.m.

## ◆ getFocusOnMap()

- (BOOL) getFocusOnMap |  |  |

-(BOOL*)getFocusOnMap;

Returns
  BOOL

Definition at line 198 of file CGTKWindow.m.

## ◆ getFocusVisible()

- (BOOL) getFocusVisible |  |  |

-(BOOL*)getFocusVisible;

Returns
  BOOL

Definition at line 203 of file CGTKWindow.m.

## ◆ getGravity()

- (GdkGravity) getGravity |  |  |

-(GdkGravity*)getGravity;

Returns
  GdkGravity

Definition at line 208 of file CGTKWindow.m.

## ◆ getGroup()

- (GtkWindowGroup *) getGroup |  |  |

-(GtkWindowGroup**)getGroup;

Returns
  GtkWindowGroup*

Definition at line 213 of file CGTKWindow.m.

## ◆ getHasResizeGrip()

- (BOOL) getHasResizeGrip |  |  |

-(BOOL*)getHasResizeGrip;

Returns
  BOOL

Definition at line 218 of file CGTKWindow.m.

## ◆ getHideTitlebarWhenMaximized()

- (BOOL) getHideTitlebarWhenMaximized |  |  |

-(BOOL*)getHideTitlebarWhenMaximized;

Returns
  BOOL

Definition at line 223 of file CGTKWindow.m.

## ◆ getIcon()

- (GdkPixbuf *) getIcon |  |  |

-(GdkPixbuf**)getIcon;

Returns
  GdkPixbuf*

Definition at line 228 of file CGTKWindow.m.

## ◆ getIconList()

- (GList *) getIconList |  |  |

-(GList**)getIconList;

Returns
  GList*

Definition at line 233 of file CGTKWindow.m.

## ◆ getIconName()

- (NSString *) getIconName |  |  |

-(NSString**)getIconName;

Returns
  NSString*

Definition at line 238 of file CGTKWindow.m.

## ◆ getMnemonicModifier()

- (GdkModifierType) getMnemonicModifier |  |  |

-(GdkModifierType*)getMnemonicModifier;

Returns
  GdkModifierType

Definition at line 243 of file CGTKWindow.m.

## ◆ getMnemonicsVisible()

- (BOOL) getMnemonicsVisible |  |  |

-(BOOL*)getMnemonicsVisible;

Returns
  BOOL

Definition at line 248 of file CGTKWindow.m.

## ◆ getModal()

- (BOOL) getModal |  |  |

-(BOOL*)getModal;

Returns
  BOOL

Definition at line 253 of file CGTKWindow.m.

## ◆ getOpacity()

- (gdouble) getOpacity |  |  |

-(gdouble*)getOpacity;

Returns
  gdouble

Reimplemented from CGTKWidget.

Definition at line 258 of file CGTKWindow.m.

## ◆ getPositionWithRootX:andRootY:()

- (void) getPositionWithRootX: |  | (gint*) | rootX
andRootY: |  | (gint*) | rootY

-(void*)getPositionWithRootX:(gint*) rootX andRootY:(gint*) rootY;

Parameters

  rootX |
  rootY |

Definition at line 263 of file CGTKWindow.m.

## ◆ getResizable()

- (BOOL) getResizable |  |  |

-(BOOL*)getResizable;

Returns
  BOOL

Definition at line 268 of file CGTKWindow.m.

## ◆ getResizeGripArea:()

- (BOOL) getResizeGripArea: |  | (GdkRectangle*) | rect |

-(BOOL*)getResizeGripArea: rect;

Parameters

  rect |

Returns
  BOOL

Definition at line 273 of file CGTKWindow.m.

## ◆ getRole()

- (NSString *) getRole |  |  |

-(NSString**)getRole;

Returns
  NSString*

Definition at line 278 of file CGTKWindow.m.

## ◆ getScreen()

- (GdkScreen *) getScreen |  |  |

-(GdkScreen**)getScreen;

Returns
  GdkScreen*

Reimplemented from CGTKWidget.

Definition at line 283 of file CGTKWindow.m.

## ◆ getSizeWithWidth:andHeight:()

- (void) getSizeWithWidth: |  | (gint*) | width
andHeight: |  | (gint*) | height

-(void*)getSizeWithWidth:(gint*) width andHeight:(gint*) height;

Parameters

  width |
  height |

Definition at line 288 of file CGTKWindow.m.

## ◆ getSkipPagerHint()

- (BOOL) getSkipPagerHint |  |  |

-(BOOL*)getSkipPagerHint;

Returns
  BOOL

Definition at line 293 of file CGTKWindow.m.

## ◆ getSkipTaskbarHint()

- (BOOL) getSkipTaskbarHint |  |  |

-(BOOL*)getSkipTaskbarHint;

Returns
  BOOL

Definition at line 298 of file CGTKWindow.m.

## ◆ getTitle()

- (NSString *) getTitle |  |  |

-(NSString**)getTitle;

Returns
  NSString*

Definition at line 303 of file CGTKWindow.m.

## ◆ getTitlebar()

- (CGTKWidget *) getTitlebar |  |  |

-(CGTKWidget**)getTitlebar;

Returns
  CGTKWidget*

Definition at line 308 of file CGTKWindow.m.

## ◆ getTransientFor()

- (GtkWindow *) getTransientFor |  |  |

-(GtkWindow**)getTransientFor;

Returns
  GtkWindow*

Definition at line 313 of file CGTKWindow.m.

## ◆ getTypeHint()

- (GdkWindowTypeHint) getTypeHint |  |  |

-(GdkWindowTypeHint*)getTypeHint;

Returns
  GdkWindowTypeHint

Definition at line 318 of file CGTKWindow.m.

## ◆ getUrgencyHint()

- (BOOL) getUrgencyHint |  |  |

-(BOOL*)getUrgencyHint;

Returns
  BOOL

Definition at line 323 of file CGTKWindow.m.

## ◆ getWindowType()

- (GtkWindowType) getWindowType |  |  |

-(GtkWindowType*)getWindowType;

Returns
  GtkWindowType

Definition at line 328 of file CGTKWindow.m.

## ◆ hasGroup()

- (BOOL) hasGroup |  |  |

-(BOOL*)hasGroup;

Returns
  BOOL

Definition at line 333 of file CGTKWindow.m.

## ◆ hasToplevelFocus()

- (BOOL) hasToplevelFocus |  |  |

-(BOOL*)hasToplevelFocus;

Returns
  BOOL

Definition at line 338 of file CGTKWindow.m.

## ◆ iconify()

- (void) iconify |  |  |

-(void*)iconify;

Definition at line 343 of file CGTKWindow.m.

## ◆ init:()

- (id) init: |  | (GtkWindowType) | type |

Constructors

Definition at line 81 of file CGTKWindow.m.

## ◆ isActive()

- (BOOL) isActive |  |  |

-(BOOL*)isActive;

Returns
  BOOL

Definition at line 348 of file CGTKWindow.m.

## ◆ isMaximized()

- (BOOL) isMaximized |  |  |

-(BOOL*)isMaximized;

Returns
  BOOL

Definition at line 353 of file CGTKWindow.m.

## ◆ maximize()

- (void) maximize |  |  |

-(void*)maximize;

Definition at line 358 of file CGTKWindow.m.

## ◆ mnemonicActivateWithKeyval:andModifier:()

- (BOOL) mnemonicActivateWithKeyval: |  | (guint) | keyval
andModifier: |  | (GdkModifierType) | modifier

-(BOOL*)mnemonicActivateWithKeyval:(guint) keyval andModifier:(GdkModifierType) modifier;

Parameters

  keyval |
  modifier |

Returns
  BOOL

Definition at line 363 of file CGTKWindow.m.

## ◆ moveWithX:andY:()

- (void) moveWithX: |  | (gint) | x
andY: |  | (gint) | y

-(void*)moveWithX:(gint) x andY:(gint) y;

Parameters

  x |
  y |

Definition at line 368 of file CGTKWindow.m.

## ◆ parseGeometry:()

- (BOOL) parseGeometry: |  | (NSString*) | geometry |

-(BOOL*)parseGeometry: geometry;

Parameters

  geometry |

Returns
  BOOL

Definition at line 373 of file CGTKWindow.m.

## ◆ present()

- (void) present |  |  |

-(void*)present;

Definition at line 378 of file CGTKWindow.m.

## ◆ presentWithTime:()

- (void) presentWithTime: |  | (guint32) | timestamp |

-(void*)presentWithTime: timestamp;

Parameters

  timestamp |

Definition at line 383 of file CGTKWindow.m.

## ◆ propagateKeyEvent:()

- (BOOL) propagateKeyEvent: |  | (GdkEventKey*) | event |

-(BOOL*)propagateKeyEvent: event;

Parameters

  event |

Returns
  BOOL

Definition at line 388 of file CGTKWindow.m.

## ◆ removeAccelGroup:()

- (void) removeAccelGroup: |  | (GtkAccelGroup*) | accelGroup |

-(void*)removeAccelGroup: accelGroup;

Parameters

  accelGroup |

Definition at line 393 of file CGTKWindow.m.

## ◆ removeMnemonicWithKeyval:andTarget:()

- (void) removeMnemonicWithKeyval: |  | (guint) | keyval
andTarget: |  | (CGTKWidget*) | target

-(void*)removeMnemonicWithKeyval:(guint) keyval andTarget:(CGTKWidget*) target;

Parameters

  keyval |
  target |

Definition at line 398 of file CGTKWindow.m.

## ◆ reshowWithInitialSize()

- (void) reshowWithInitialSize |  |  |

-(void*)reshowWithInitialSize;

Definition at line 403 of file CGTKWindow.m.

## ◆ resizeGripIsVisible()

- (BOOL) resizeGripIsVisible |  |  |

-(BOOL*)resizeGripIsVisible;

Returns
  BOOL

Definition at line 413 of file CGTKWindow.m.

## ◆ resizeToGeometryWithWidth:andHeight:()

- (void) resizeToGeometryWithWidth: |  | (gint) | width
andHeight: |  | (gint) | height

-(void*)resizeToGeometryWithWidth:(gint) width andHeight:(gint) height;

Parameters

  width |
  height |

Definition at line 418 of file CGTKWindow.m.

## ◆ resizeWithWidth:andHeight:()

- (void) resizeWithWidth: |  | (gint) | width
andHeight: |  | (gint) | height

-(void*)resizeWithWidth:(gint) width andHeight:(gint) height;

Parameters

  width |
  height |

Definition at line 408 of file CGTKWindow.m.

## ◆ setAcceptFocus:()

- (void) setAcceptFocus: |  | (BOOL) | setting |

-(void*)setAcceptFocus: setting;

Parameters

  setting |

Definition at line 423 of file CGTKWindow.m.

## ◆ setApplication:()

- (void) setApplication: |  | (GtkApplication*) | application |

-(void*)setApplication: application;

Parameters

  application |

Definition at line 428 of file CGTKWindow.m.

## ◆ setAttachedTo:()

- (void) setAttachedTo: |  | (CGTKWidget*) | attachWidget |

-(void*)setAttachedTo: attachWidget;

Parameters

  attachWidget |

Definition at line 433 of file CGTKWindow.m.

## ◆ setDecorated:()

- (void) setDecorated: |  | (BOOL) | setting |

-(void*)setDecorated: setting;

Parameters

  setting |

Definition at line 438 of file CGTKWindow.m.

## ◆ setDefault:()

- (void) setDefault: |  | (CGTKWidget*) | defaultWidget |

-(void*)setDefault: defaultWidget;

Parameters

  defaultWidget |

Definition at line 443 of file CGTKWindow.m.

## ◆ setDefaultGeometryWithWidth:andHeight:()

- (void) setDefaultGeometryWithWidth: |  | (gint) | width
andHeight: |  | (gint) | height

-(void*)setDefaultGeometryWithWidth:(gint) width andHeight:(gint) height;

Parameters

  width |
  height |

Definition at line 448 of file CGTKWindow.m.

## ◆ setDefaultSizeWithWidth:andHeight:()

- (void) setDefaultSizeWithWidth: |  | (gint) | width
andHeight: |  | (gint) | height

-(void*)setDefaultSizeWithWidth:(gint) width andHeight:(gint) height;

Parameters

  width |
  height |

Definition at line 453 of file CGTKWindow.m.

## ◆ setDeletable:()

- (void) setDeletable: |  | (BOOL) | setting |

-(void*)setDeletable: setting;

Parameters

  setting |

Definition at line 458 of file CGTKWindow.m.

## ◆ setDestroyWithParent:()

- (void) setDestroyWithParent: |  | (BOOL) | setting |

-(void*)setDestroyWithParent: setting;

Parameters

  setting |

Definition at line 463 of file CGTKWindow.m.

## ◆ setFocus:()

- (void) setFocus: |  | (CGTKWidget*) | focus |

-(void*)setFocus: focus;

Parameters

  focus |

Definition at line 468 of file CGTKWindow.m.

## ◆ setFocusOnMap:()

- (void) setFocusOnMap: |  | (BOOL) | setting |

-(void*)setFocusOnMap: setting;

Parameters

  setting |

Definition at line 473 of file CGTKWindow.m.

## ◆ setFocusVisible:()

- (void) setFocusVisible: |  | (BOOL) | setting |

-(void*)setFocusVisible: setting;

Parameters

  setting |

Definition at line 478 of file CGTKWindow.m.

## ◆ setGeometryHintsWithGeometryWidget:andGeometry:andGeomMask:()

- (void) setGeometryHintsWithGeometryWidget: |  | (CGTKWidget*) | geometryWidget
andGeometry: |  | (GdkGeometry*) | geometry
andGeomMask: |  | (GdkWindowHints) | geomMask

-(void*)setGeometryHintsWithGeometryWidget:(CGTKWidget*) geometryWidget andGeometry:(GdkGeometry*) geometry andGeomMask:(GdkWindowHints) geomMask;

Parameters

  geometryWidget |
  geometry |
  geomMask |

Definition at line 483 of file CGTKWindow.m.

## ◆ setGravity:()

- (void) setGravity: |  | (GdkGravity) | gravity |

-(void*)setGravity: gravity;

Parameters

  gravity |

Definition at line 488 of file CGTKWindow.m.

## ◆ setHasResizeGrip:()

- (void) setHasResizeGrip: |  | (BOOL) | value |

-(void*)setHasResizeGrip: value;

Parameters

  value |

Definition at line 493 of file CGTKWindow.m.

## ◆ setHasUserRefCount:()

- (void) setHasUserRefCount: |  | (BOOL) | setting |

-(void*)setHasUserRefCount: setting;

Parameters

  setting |

Definition at line 498 of file CGTKWindow.m.

## ◆ setHideTitlebarWhenMaximized:()

- (void) setHideTitlebarWhenMaximized: |  | (BOOL) | setting |

-(void*)setHideTitlebarWhenMaximized: setting;

Parameters

  setting |

Definition at line 503 of file CGTKWindow.m.

## ◆ setIcon:()

- (void) setIcon: |  | (GdkPixbuf*) | icon |

-(void*)setIcon: icon;

Parameters

  icon |

Definition at line 508 of file CGTKWindow.m.

## ◆ setIconFromFileWithFilename:andErr:()

- (BOOL) setIconFromFileWithFilename: |  | (NSString*) | filename
andErr: |  | (GError**) | err

-(BOOL*)setIconFromFileWithFilename:(NSString*) filename andErr:(GError**) err;

Parameters

  filename |
  err |

Returns
  BOOL

Definition at line 513 of file CGTKWindow.m.

## ◆ setIconList:()

- (void) setIconList: |  | (GList*) | list |

-(void*)setIconList: list;

Parameters

  list |

Definition at line 518 of file CGTKWindow.m.

## ◆ setIconName:()

- (void) setIconName: |  | (NSString*) | name |

-(void*)setIconName: name;

Parameters

  name |

Definition at line 523 of file CGTKWindow.m.

## ◆ setKeepAbove:()

- (void) setKeepAbove: |  | (BOOL) | setting |

-(void*)setKeepAbove: setting;

Parameters

  setting |

Definition at line 528 of file CGTKWindow.m.

## ◆ setKeepBelow:()

- (void) setKeepBelow: |  | (BOOL) | setting |

-(void*)setKeepBelow: setting;

Parameters

  setting |

Definition at line 533 of file CGTKWindow.m.

## ◆ setMnemonicModifier:()

- (void) setMnemonicModifier: |  | (GdkModifierType) | modifier |

-(void*)setMnemonicModifier: modifier;

Parameters

  modifier |

Definition at line 538 of file CGTKWindow.m.

## ◆ setMnemonicsVisible:()

- (void) setMnemonicsVisible: |  | (BOOL) | setting |

-(void*)setMnemonicsVisible: setting;

Parameters

  setting |

Definition at line 543 of file CGTKWindow.m.

## ◆ setModal:()

- (void) setModal: |  | (BOOL) | modal |

-(void*)setModal: modal;

Parameters

  modal |

Definition at line 548 of file CGTKWindow.m.

## ◆ setOpacity:()

- (void) setOpacity: |  | (gdouble) | opacity |

-(void*)setOpacity: opacity;

Parameters

  opacity |

Definition at line 553 of file CGTKWindow.m.

## ◆ setPosition:()

- (void) setPosition: |  | (GtkWindowPosition) | position |

-(void*)setPosition: position;

Parameters

  position |

Definition at line 558 of file CGTKWindow.m.

## ◆ setResizable:()

- (void) setResizable: |  | (BOOL) | resizable |

-(void*)setResizable: resizable;

Parameters

  resizable |

Definition at line 563 of file CGTKWindow.m.

## ◆ setRole:()

- (void) setRole: |  | (NSString*) | role |

-(void*)setRole: role;

Parameters

  role |

Definition at line 568 of file CGTKWindow.m.

## ◆ setScreen:()

- (void) setScreen: |  | (GdkScreen*) | screen |

-(void*)setScreen: screen;

Parameters

  screen |

Definition at line 573 of file CGTKWindow.m.

## ◆ setSkipPagerHint:()

- (void) setSkipPagerHint: |  | (BOOL) | setting |

-(void*)setSkipPagerHint: setting;

Parameters

  setting |

Definition at line 578 of file CGTKWindow.m.

## ◆ setSkipTaskbarHint:()

- (void) setSkipTaskbarHint: |  | (BOOL) | setting |

-(void*)setSkipTaskbarHint: setting;

Parameters

  setting |

Definition at line 583 of file CGTKWindow.m.

## ◆ setStartupId:()

- (void) setStartupId: |  | (NSString*) | startupId |

-(void*)setStartupId: startupId;

Parameters

  startupId |

Definition at line 588 of file CGTKWindow.m.

## ◆ setTitle:()

- (void) setTitle: |  | (NSString*) | title |

-(void*)setTitle: title;

Parameters

  title |

Definition at line 593 of file CGTKWindow.m.

## ◆ setTitlebar:()

- (void) setTitlebar: |  | (CGTKWidget*) | titlebar |

-(void*)setTitlebar: titlebar;

Parameters

  titlebar |

Definition at line 598 of file CGTKWindow.m.

## ◆ setTransientFor:()

- (void) setTransientFor: |  | (GtkWindow*) | parent |

-(void*)setTransientFor: parent;

Parameters

  parent |

Definition at line 603 of file CGTKWindow.m.

## ◆ setTypeHint:()

- (void) setTypeHint: |  | (GdkWindowTypeHint) | hint |

-(void*)setTypeHint: hint;

Parameters

  hint |

Definition at line 608 of file CGTKWindow.m.

## ◆ setUrgencyHint:()

- (void) setUrgencyHint: |  | (BOOL) | setting |

-(void*)setUrgencyHint: setting;

Parameters

  setting |

Definition at line 613 of file CGTKWindow.m.

## ◆ setWmclassWithWmclassName:andWmclassClass:()

- (void) setWmclassWithWmclassName: |  | (NSString*) | wmclassName
andWmclassClass: |  | (NSString*) | wmclassClass

-(void*)setWmclassWithWmclassName:(NSString*) wmclassName andWmclassClass:(NSString*) wmclassClass;

Parameters

  wmclassName |
  wmclassClass |

Definition at line 618 of file CGTKWindow.m.

## ◆ stick()

- (void) stick |  |  |

-(void*)stick;

Definition at line 623 of file CGTKWindow.m.

## ◆ unfullscreen()

- (void) unfullscreen |  |  |

-(void*)unfullscreen;

Definition at line 628 of file CGTKWindow.m.

## ◆ unmaximize()

- (void) unmaximize |  |  |

-(void*)unmaximize;

Definition at line 633 of file CGTKWindow.m.

## ◆ unstick()

- (void) unstick |  |  |

-(void*)unstick;

Definition at line 638 of file CGTKWindow.m.

## ◆ WINDOW()

- (GtkWindow *) WINDOW |  |  |

Methods

Definition at line 93 of file CGTKWindow.m.

The documentation for this class was generated from the following files:

- CGTKWindow.h
- CGTKWindow.m